﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;

namespace RibbonView_BackstageBinding
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			this.DataContext = new MainViewModel();
		}
	}

	public class MainViewModel
	{
		private ReadOnlyObservableCollection<BackstageViewModel> backstageItems;
		public MainViewModel()
		{
			this.BackstageItems = this.GenerateItems();
		}

		private ReadOnlyObservableCollection<BackstageViewModel> GenerateItems()
		{
			var generatedItem = new ObservableCollection<BackstageViewModel>();
			for (int i = 0; i < 5; i++)
			{
				generatedItem.Add(new BackstageViewModel() { Header = "Item " + i, Content = " This is the backstage content yes " + i, });
			}
			return new ReadOnlyObservableCollection<BackstageViewModel>(generatedItem);
		}

		public ReadOnlyObservableCollection<BackstageViewModel> BackstageItems
		{
			get
			{
				return this.backstageItems;
			}
			set
			{
				this.backstageItems = value;
			}
		}
	}

	public class BackstageViewModel : ViewModelBase
	{
		private string header;
		private string content;
		public string Header
		{
			get
			{
				return this.header;
			}
			set
			{
				this.header = value;
				OnPropertyChanged("Header");
			}
		}

		public string Content
		{
			get
			{
				return this.content;
			}
			set
			{
				this.content = value;
				OnPropertyChanged("Content");
			}
		}
	}
}
